package com.chy.borrow.service;

import com.chy.borrow.entity.BorrowApply;
import com.baomidou.mybatisplus.extension.service.IService;
import com.chy.borrow.entity.BorrowExamine;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestHeader;

import java.sql.Timestamp;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 沈晔浩
 * @since 2022-03-25
 */
public interface BorrowApplyService extends IService<BorrowApply> {
    String getList(Map map);
    String getListForRange(Map map);
    String getInfoById(BorrowApply borrowApply);
    String saveFile(BorrowApply borrowApply);
    //借阅量（常规）
    String getCountList();

    //部门借阅占比
    String getUnitCountList();

    //年月日占比
    String getApplyTimeCountList(Integer start,Integer num);
    //时间间隔
    String getApplyTimeByPeriod(Timestamp start, Timestamp end);
}
